version: '2'
mpp-vars:
  name: upgrade-demo
pipelines:
- mpp-import-pipelines:
    path: include/build.ipp.yml
- name: rootfs
  build: name:build
  stages:
  - type: org.osbuild.kernel-cmdline
    options:
      root_fs_uuid:
        mpp-eval: rootfs_uuid
  - type: org.osbuild.rpm
    options:
      gpgkeys:
      - mpp-eval: centos_gpg_key
      - mpp-eval: redhat_gpg_key
      disable_dracut: true
      exclude:
        docs: true
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          ignore-weak-deps: true
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl/BaseOS/$arch/os/
          repos:
            mpp-join:
            - mpp-eval: distro_repos
            - mpp-eval: target_repos
            - mpp-eval: extra_repos
            - - id: copr-watchdog
                baseurl: https://download.copr.fedorainfracloud.org/results/alexl/autosig-watchdog/centos-stream-9-$arch/
          packages:
            mpp-join:
            - mpp-eval: base_rpms
            - mpp-eval: image_rpms
            - mpp-eval: extra_rpms
            # Install the watchdog tools and service files
            - - autosig-watchdog
          excludes:
          - dracut-config-rescue
    # Make sure we only try a failed boot once before rollback (default is 3)
  - type: org.osbuild.copy
    inputs:
      inlinefile:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: greenboot.conf
          text: "GREENBOOT_MAX_BOOT_ATTEMPTS=1\n"
    options:
      paths:
      - from:
          mpp-format-string: input://inlinefile/{embedded['greenboot.conf']}
        to: tree:///etc/greenboot/greenboot.conf
  - type: org.osbuild.locale
    options:
      language: en_US.UTF-8
  - type: org.osbuild.systemd
    options:
      enabled_services:
      - NetworkManager.service
      - rngd.service
      # Enable the watchdog ostree/greenboot integration
      - watchdog-ostree-start.service
      - watchdog-ostree-stop.service
- mpp-import-pipelines:
    path: include/image.ipp.yml
